package com.armstrongconsulting.acprotasks.client.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "@rows",
    "@sort",
    "@start",
    "@totalNumRows",
    "item"
})
public class Items
{
    @JsonProperty("@rows")
    private String rows;
    @JsonProperty("@sort")
    private String sort;
    @JsonProperty("@start")
    private String start;
    @JsonProperty("@totalNumRows")
    private String totalNumRows;
    @JsonProperty("item")
    private List<Item> item = null;

    @JsonProperty("@rows")
    public String getRows()
    {
        return rows;
    }

    @JsonProperty("@rows")
    public void setRows(String rows)
    {
        this.rows = rows;
    }

    @JsonProperty("@sort")
    public String getSort()
    {
        return sort;
    }

    @JsonProperty("@sort")
    public void setSort(String sort)
    {
        this.sort = sort;
    }

    @JsonProperty("@start")
    public String getStart()
    {
        return start;
    }

    @JsonProperty("@start")
    public void setStart(String start)
    {
        this.start = start;
    }

    @JsonProperty("@totalNumRows")
    public String getTotalNumRows()
    {
        return totalNumRows;
    }

    @JsonProperty("@totalNumRows")
    public void setTotalNumRows(String totalNumRows)
    {
        this.totalNumRows = totalNumRows;
    }

    @JsonProperty("item")
    public List<Item> getItem()
    {
        return item;
    }

    @JsonProperty("item")
    public void setItem(List<Item> item)
    {
        this.item = item;
    }
}
